Skip to main content
`Ctrl`+`K`

# PetscContainerSetUserDestroy

Sets the destroy function for the data provided to the `PetscContainer` with `PetscContainerSetPointer()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscContainerSetUserDestroy(PetscContainer obj, PetscErrorCode (*des)(void *))

Logically Collective, No Fortran Support

## Input Parameters

- obj - an object that was created with `PetscContainerCreate()`

- des - name of the ctx destroy function

## Notes

Deprecated, use `PetscContainerSetCtxDestroy()`

## See Also

`PetscContainerSetCtxDestroy()`, `PetscContainerDestroy()`, `PetscContainerUserDestroyDefault()`, `PetscMalloc()`, `PetscMalloc1()`, `PetscCalloc()`, `PetscCalloc1()`, `PetscObject`, `PetscObjectContainerCompose()`, `PetscObjectContainerQuery()`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages